using SanShared;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CSVParser
{
    public class UVRelining : CSVParser
    {
        public UVRelining(string csvFile) : base(csvFile)
        {
        }
        /// <summary>
        /// 
        /// </summary>
        /// <param name="csvFile"></param>
        /// <returns></returns>
        public override List<UVcsvStrukture> ReadCSVStrukture()
        {
            /*
             * Die Geschwindigkeit wird in cm / sekunde angegeben
             */
            List<UVcsvStrukture> result = new List<UVcsvStrukture>();
            
            DateTime zeit;
            double temperatur;
            double druck;
            int geschwindigkeit;
            foreach (string pars in Input)
            {
                UVcsvStrukture uVcsvStrukture = new UVcsvStrukture();
                string[] parts = pars.Split(',');
                if (
                    parts[0].Equals("Group1") ||
                    parts[1].Equals("(END)") ||
                    parts[1].Equals("(START)")
                ) continue;
                DateTime.TryParse(parts[0], out zeit);
                double.TryParse(parts[1].Replace('.', ','), out temperatur);
                double.TryParse(parts[2].Replace('.', ','), out druck);
                int.TryParse(parts[3], out geschwindigkeit);


                uVcsvStrukture.Zeitstempel = zeit;
                uVcsvStrukture.Druck = druck;
                uVcsvStrukture.Temperatur = temperatur;
                uVcsvStrukture.Geschwindigkeit = geschwindigkeit;
                result.Add(uVcsvStrukture);
            }
            return result;
         }
    }
}
